E2SCRUB(8)

NOM
e2scrub - check the contents of a mounted ext[234] file system

SYNOPSYS
e2scrub [option] point_montage | périphérique

DESCRIPTION
e2scrub attempts to check (but not repair) all metadata in a mounted ext[234] file system if the file system resides on an LVM logical volume. The block device of the LVM logical volume can also be passed in.

Ce programme crée un instantané du volume et exécute une vérification du système de fichiers pour rechercher des altérations. Le groupe de volumes LVM doit posséder au moins 256 mébioctets d’espace non alloué à consacrer pour transférer l’instantané ou le volume logique. L’instantané sera appelé lvname.e2scrub et udev ne créera pas de lien symbolique pour lui dans /dev/disk. Tout sera fait pour supprimer l’instantané avant d’exécuter e2scrub, mais dans une situation extrême il peut être nécessaire de supprimer l’instantané manuellement.

If no errors are found, fstrim can be called on the file system if it is mounted. If errors are found, the file system will be marked as having errors. The file system should be taken offline and e2fsck run as soon as possible, because e2scrub does not fix corruptions. If the file system is not repaired, e2fsck will be run before the next mount.

OPTIONS

-n  Afficher quelles commandes e2scrub exécuterait pour vérifier le système de fichiers. (Remarque : ces commandes ne seront pas réellement exécutées. Cependant, puisque e2scrub a besoin d’exécuter quelques commandes supplémentaires pour interroger le système pour déterminer quelles commandes devraient être exécutées, il a toujours besoin d’être exécuté en tant que superutilisateur.)

-r  Supprimer l’instantané e2scrub et quitter sans rien vérifier.

-t  Run fstrim(1) on the mounted file system if no errors are found.

-V  Afficher les informations de version, puis quitter.

CODE DE RETOUR
Les codes de retour sont les mêmes que ceux de e2fsck(8)

VOIR AUSSI
e2fsck(8)

AUTEUR
Darrick J. Wong <darrick.wong@oracle.com>

COPYRIGHT
Copyright ©2018 Oracle, licence GPLv2+. <http://www.gnu.org/licenses/gpl-2.0.html>

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.